1. Packages
  2. Azure Native
  3. API Docs
  4. netapp
  5. ActiveDirectoryConfig
This is the latest version of Azure Native. Use the Azure Native v2 docs if using the v2 version of this package.
Viewing docs for Azure Native v3.15.0
published on Wednesday, Mar 4, 2026 by Pulumi
azure-native logo
This is the latest version of Azure Native. Use the Azure Native v2 docs if using the v2 version of this package.
Viewing docs for Azure Native v3.15.0
published on Wednesday, Mar 4, 2026 by Pulumi

    Active Directory Configuration resource

    Uses Azure REST API version 2025-09-01-preview.

    Import

    An existing resource can be imported using its type token, name, and identifier, e.g.

    $ pulumi import azure-native:netapp:ActiveDirectoryConfig adconfig1 /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.NetApp/activeDirectoryConfigs/{activeDirectoryConfigName} 
    

    Create ActiveDirectoryConfig Resource

    Resources are created with functions called constructors. To learn more about declaring and configuring resources, see Resources.

    Constructor syntax

    new ActiveDirectoryConfig(name: string, args: ActiveDirectoryConfigArgs, opts?: CustomResourceOptions);
    @overload
    def ActiveDirectoryConfig(resource_name: str,
                              args: ActiveDirectoryConfigArgs,
                              opts: Optional[ResourceOptions] = None)
    
    @overload
    def ActiveDirectoryConfig(resource_name: str,
                              opts: Optional[ResourceOptions] = None,
                              resource_group_name: Optional[str] = None,
                              active_directory_config_name: Optional[str] = None,
                              identity: Optional[ManagedServiceIdentityArgs] = None,
                              location: Optional[str] = None,
                              properties: Optional[ActiveDirectoryConfigPropertiesArgs] = None,
                              tags: Optional[Mapping[str, str]] = None)
    func NewActiveDirectoryConfig(ctx *Context, name string, args ActiveDirectoryConfigArgs, opts ...ResourceOption) (*ActiveDirectoryConfig, error)
    public ActiveDirectoryConfig(string name, ActiveDirectoryConfigArgs args, CustomResourceOptions? opts = null)
    public ActiveDirectoryConfig(String name, ActiveDirectoryConfigArgs args)
    public ActiveDirectoryConfig(String name, ActiveDirectoryConfigArgs args, CustomResourceOptions options)
    
    type: azure-native:netapp:ActiveDirectoryConfig
    properties: # The arguments to resource properties.
    options: # Bag of options to control resource's behavior.
    
    

    Parameters

    name string
    The unique name of the resource.
    args ActiveDirectoryConfigArgs
    The arguments to resource properties.
    opts CustomResourceOptions
    Bag of options to control resource's behavior.
    resource_name str
    The unique name of the resource.
    args ActiveDirectoryConfigArgs
    The arguments to resource properties.
    opts ResourceOptions
    Bag of options to control resource's behavior.
    ctx Context
    Context object for the current deployment.
    name string
    The unique name of the resource.
    args ActiveDirectoryConfigArgs
    The arguments to resource properties.
    opts ResourceOption
    Bag of options to control resource's behavior.
    name string
    The unique name of the resource.
    args ActiveDirectoryConfigArgs
    The arguments to resource properties.
    opts CustomResourceOptions
    Bag of options to control resource's behavior.
    name String
    The unique name of the resource.
    args ActiveDirectoryConfigArgs
    The arguments to resource properties.
    options CustomResourceOptions
    Bag of options to control resource's behavior.

    Constructor example

    The following reference example uses placeholder values for all input properties.

    var activeDirectoryConfigResource = new AzureNative.NetApp.ActiveDirectoryConfig("activeDirectoryConfigResource", new()
    {
        ResourceGroupName = "string",
        ActiveDirectoryConfigName = "string",
        Identity = new AzureNative.NetApp.Inputs.ManagedServiceIdentityArgs
        {
            Type = "string",
            UserAssignedIdentities = new[]
            {
                "string",
            },
        },
        Location = "string",
        Properties = new AzureNative.NetApp.Inputs.ActiveDirectoryConfigPropertiesArgs
        {
            Domain = "string",
            SecretPassword = new AzureNative.NetApp.Inputs.SecretPasswordArgs
            {
                Identity = new AzureNative.NetApp.Inputs.SecretPasswordIdentityArgs
                {
                    UserAssignedIdentity = "string",
                },
                KeyVaultProperties = new AzureNative.NetApp.Inputs.SecretPasswordKeyVaultPropertiesArgs
                {
                    KeyVaultUri = "string",
                    SecretName = "string",
                },
            },
            Administrators = new[]
            {
                "string",
            },
            BackupOperators = new[]
            {
                "string",
            },
            Dns = new[]
            {
                "string",
            },
            OrganizationalUnit = "string",
            SecurityOperators = new[]
            {
                "string",
            },
            Site = "string",
            SmbServerName = "string",
            UserName = "string",
        },
        Tags = 
        {
            { "string", "string" },
        },
    });
    
    example, err := netapp.NewActiveDirectoryConfig(ctx, "activeDirectoryConfigResource", &netapp.ActiveDirectoryConfigArgs{
    	ResourceGroupName:         pulumi.String("string"),
    	ActiveDirectoryConfigName: pulumi.String("string"),
    	Identity: &netapp.ManagedServiceIdentityArgs{
    		Type: pulumi.String("string"),
    		UserAssignedIdentities: pulumi.StringArray{
    			pulumi.String("string"),
    		},
    	},
    	Location: pulumi.String("string"),
    	Properties: &netapp.ActiveDirectoryConfigPropertiesArgs{
    		Domain: pulumi.String("string"),
    		SecretPassword: &netapp.SecretPasswordArgs{
    			Identity: &netapp.SecretPasswordIdentityArgs{
    				UserAssignedIdentity: pulumi.String("string"),
    			},
    			KeyVaultProperties: &netapp.SecretPasswordKeyVaultPropertiesArgs{
    				KeyVaultUri: pulumi.String("string"),
    				SecretName:  pulumi.String("string"),
    			},
    		},
    		Administrators: pulumi.StringArray{
    			pulumi.String("string"),
    		},
    		BackupOperators: pulumi.StringArray{
    			pulumi.String("string"),
    		},
    		Dns: pulumi.StringArray{
    			pulumi.String("string"),
    		},
    		OrganizationalUnit: pulumi.String("string"),
    		SecurityOperators: pulumi.StringArray{
    			pulumi.String("string"),
    		},
    		Site:          pulumi.String("string"),
    		SmbServerName: pulumi.String("string"),
    		UserName:      pulumi.String("string"),
    	},
    	Tags: pulumi.StringMap{
    		"string": pulumi.String("string"),
    	},
    })
    
    var activeDirectoryConfigResource = new ActiveDirectoryConfig("activeDirectoryConfigResource", ActiveDirectoryConfigArgs.builder()
        .resourceGroupName("string")
        .activeDirectoryConfigName("string")
        .identity(ManagedServiceIdentityArgs.builder()
            .type("string")
            .userAssignedIdentities("string")
            .build())
        .location("string")
        .properties(ActiveDirectoryConfigPropertiesArgs.builder()
            .domain("string")
            .secretPassword(SecretPasswordArgs.builder()
                .identity(SecretPasswordIdentityArgs.builder()
                    .userAssignedIdentity("string")
                    .build())
                .keyVaultProperties(SecretPasswordKeyVaultPropertiesArgs.builder()
                    .keyVaultUri("string")
                    .secretName("string")
                    .build())
                .build())
            .administrators("string")
            .backupOperators("string")
            .dns("string")
            .organizationalUnit("string")
            .securityOperators("string")
            .site("string")
            .smbServerName("string")
            .userName("string")
            .build())
        .tags(Map.of("string", "string"))
        .build());
    
    active_directory_config_resource = azure_native.netapp.ActiveDirectoryConfig("activeDirectoryConfigResource",
        resource_group_name="string",
        active_directory_config_name="string",
        identity={
            "type": "string",
            "user_assigned_identities": ["string"],
        },
        location="string",
        properties={
            "domain": "string",
            "secret_password": {
                "identity": {
                    "user_assigned_identity": "string",
                },
                "key_vault_properties": {
                    "key_vault_uri": "string",
                    "secret_name": "string",
                },
            },
            "administrators": ["string"],
            "backup_operators": ["string"],
            "dns": ["string"],
            "organizational_unit": "string",
            "security_operators": ["string"],
            "site": "string",
            "smb_server_name": "string",
            "user_name": "string",
        },
        tags={
            "string": "string",
        })
    
    const activeDirectoryConfigResource = new azure_native.netapp.ActiveDirectoryConfig("activeDirectoryConfigResource", {
        resourceGroupName: "string",
        activeDirectoryConfigName: "string",
        identity: {
            type: "string",
            userAssignedIdentities: ["string"],
        },
        location: "string",
        properties: {
            domain: "string",
            secretPassword: {
                identity: {
                    userAssignedIdentity: "string",
                },
                keyVaultProperties: {
                    keyVaultUri: "string",
                    secretName: "string",
                },
            },
            administrators: ["string"],
            backupOperators: ["string"],
            dns: ["string"],
            organizationalUnit: "string",
            securityOperators: ["string"],
            site: "string",
            smbServerName: "string",
            userName: "string",
        },
        tags: {
            string: "string",
        },
    });
    
    type: azure-native:netapp:ActiveDirectoryConfig
    properties:
        activeDirectoryConfigName: string
        identity:
            type: string
            userAssignedIdentities:
                - string
        location: string
        properties:
            administrators:
                - string
            backupOperators:
                - string
            dns:
                - string
            domain: string
            organizationalUnit: string
            secretPassword:
                identity:
                    userAssignedIdentity: string
                keyVaultProperties:
                    keyVaultUri: string
                    secretName: string
            securityOperators:
                - string
            site: string
            smbServerName: string
            userName: string
        resourceGroupName: string
        tags:
            string: string
    

    ActiveDirectoryConfig Resource Properties

    To learn more about resource properties and how to use them, see Inputs and Outputs in the Architecture and Concepts docs.

    Inputs

    In Python, inputs that are objects can be passed either as argument classes or as dictionary literals.

    The ActiveDirectoryConfig resource accepts the following input properties:

    ResourceGroupName string
    The name of the resource group. The name is case insensitive.
    ActiveDirectoryConfigName string
    The name of the ActiveDirectoryConfig
    Identity Pulumi.AzureNative.NetApp.Inputs.ManagedServiceIdentity
    The managed service identities assigned to this resource.
    Location string
    The geo-location where the resource lives
    Properties Pulumi.AzureNative.NetApp.Inputs.ActiveDirectoryConfigProperties
    The resource-specific properties for this resource.
    Tags Dictionary<string, string>
    Resource tags.
    ResourceGroupName string
    The name of the resource group. The name is case insensitive.
    ActiveDirectoryConfigName string
    The name of the ActiveDirectoryConfig
    Identity ManagedServiceIdentityArgs
    The managed service identities assigned to this resource.
    Location string
    The geo-location where the resource lives
    Properties ActiveDirectoryConfigPropertiesArgs
    The resource-specific properties for this resource.
    Tags map[string]string
    Resource tags.
    resourceGroupName String
    The name of the resource group. The name is case insensitive.
    activeDirectoryConfigName String
    The name of the ActiveDirectoryConfig
    identity ManagedServiceIdentity
    The managed service identities assigned to this resource.
    location String
    The geo-location where the resource lives
    properties ActiveDirectoryConfigProperties
    The resource-specific properties for this resource.
    tags Map<String,String>
    Resource tags.
    resourceGroupName string
    The name of the resource group. The name is case insensitive.
    activeDirectoryConfigName string
    The name of the ActiveDirectoryConfig
    identity ManagedServiceIdentity
    The managed service identities assigned to this resource.
    location string
    The geo-location where the resource lives
    properties ActiveDirectoryConfigProperties
    The resource-specific properties for this resource.
    tags {[key: string]: string}
    Resource tags.
    resource_group_name str
    The name of the resource group. The name is case insensitive.
    active_directory_config_name str
    The name of the ActiveDirectoryConfig
    identity ManagedServiceIdentityArgs
    The managed service identities assigned to this resource.
    location str
    The geo-location where the resource lives
    properties ActiveDirectoryConfigPropertiesArgs
    The resource-specific properties for this resource.
    tags Mapping[str, str]
    Resource tags.
    resourceGroupName String
    The name of the resource group. The name is case insensitive.
    activeDirectoryConfigName String
    The name of the ActiveDirectoryConfig
    identity Property Map
    The managed service identities assigned to this resource.
    location String
    The geo-location where the resource lives
    properties Property Map
    The resource-specific properties for this resource.
    tags Map<String>
    Resource tags.

    Outputs

    All input properties are implicitly available as output properties. Additionally, the ActiveDirectoryConfig resource produces the following output properties:

    AzureApiVersion string
    The Azure API version of the resource.
    Etag string
    "If etag is provided in the response body, it may also be provided as a header per the normal etag convention. Entity tags are used for comparing two or more entities from the same requested resource. HTTP/1.1 uses entity tags in the etag (section 14.19), If-Match (section 14.24), If-None-Match (section 14.26), and If-Range (section 14.27) header fields.")
    Id string
    The provider-assigned unique ID for this managed resource.
    Name string
    The name of the resource
    SystemData Pulumi.AzureNative.NetApp.Outputs.SystemDataResponse
    Azure Resource Manager metadata containing createdBy and modifiedBy information.
    Type string
    The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"
    AzureApiVersion string
    The Azure API version of the resource.
    Etag string
    "If etag is provided in the response body, it may also be provided as a header per the normal etag convention. Entity tags are used for comparing two or more entities from the same requested resource. HTTP/1.1 uses entity tags in the etag (section 14.19), If-Match (section 14.24), If-None-Match (section 14.26), and If-Range (section 14.27) header fields.")
    Id string
    The provider-assigned unique ID for this managed resource.
    Name string
    The name of the resource
    SystemData SystemDataResponse
    Azure Resource Manager metadata containing createdBy and modifiedBy information.
    Type string
    The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"
    azureApiVersion String
    The Azure API version of the resource.
    etag String
    "If etag is provided in the response body, it may also be provided as a header per the normal etag convention. Entity tags are used for comparing two or more entities from the same requested resource. HTTP/1.1 uses entity tags in the etag (section 14.19), If-Match (section 14.24), If-None-Match (section 14.26), and If-Range (section 14.27) header fields.")
    id String
    The provider-assigned unique ID for this managed resource.
    name String
    The name of the resource
    systemData SystemDataResponse
    Azure Resource Manager metadata containing createdBy and modifiedBy information.
    type String
    The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"
    azureApiVersion string
    The Azure API version of the resource.
    etag string
    "If etag is provided in the response body, it may also be provided as a header per the normal etag convention. Entity tags are used for comparing two or more entities from the same requested resource. HTTP/1.1 uses entity tags in the etag (section 14.19), If-Match (section 14.24), If-None-Match (section 14.26), and If-Range (section 14.27) header fields.")
    id string
    The provider-assigned unique ID for this managed resource.
    name string
    The name of the resource
    systemData SystemDataResponse
    Azure Resource Manager metadata containing createdBy and modifiedBy information.
    type string
    The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"
    azure_api_version str
    The Azure API version of the resource.
    etag str
    "If etag is provided in the response body, it may also be provided as a header per the normal etag convention. Entity tags are used for comparing two or more entities from the same requested resource. HTTP/1.1 uses entity tags in the etag (section 14.19), If-Match (section 14.24), If-None-Match (section 14.26), and If-Range (section 14.27) header fields.")
    id str
    The provider-assigned unique ID for this managed resource.
    name str
    The name of the resource
    system_data SystemDataResponse
    Azure Resource Manager metadata containing createdBy and modifiedBy information.
    type str
    The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"
    azureApiVersion String
    The Azure API version of the resource.
    etag String
    "If etag is provided in the response body, it may also be provided as a header per the normal etag convention. Entity tags are used for comparing two or more entities from the same requested resource. HTTP/1.1 uses entity tags in the etag (section 14.19), If-Match (section 14.24), If-None-Match (section 14.26), and If-Range (section 14.27) header fields.")
    id String
    The provider-assigned unique ID for this managed resource.
    name String
    The name of the resource
    systemData Property Map
    Azure Resource Manager metadata containing createdBy and modifiedBy information.
    type String
    The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"

    Supporting Types

    ActiveDirectoryConfigProperties, ActiveDirectoryConfigPropertiesArgs

    Active Directory Configuration properties
    Domain string
    Name of the Active Directory domain
    SecretPassword Pulumi.AzureNative.NetApp.Inputs.SecretPassword
    Access password from Azure KeyVault Secrets to connect Active Directory
    Administrators List<string>
    Users to be added to the Built-in Administrators active directory group. A list of unique usernames without domain specifier
    BackupOperators List<string>
    Users to be added to the Built-in Backup Operator active directory group. A list of unique usernames without domain specifier
    Dns List<string>
    An array of DNS server IP addresses(IPv4 only) for the Active Directory
    OrganizationalUnit string
    The Organizational Unit (OU) within the Windows Active Directory
    SecurityOperators List<string>
    Domain Users in the Active directory to be given SecurityPrivilege privilege (Needed for SMB Continuously available shares for SQL). A list of unique usernames without domain specifier
    Site string
    The Active Directory site the service will limit Domain Controller discovery to
    SmbServerName string
    NetBIOS name of the SMB server. This name will be registered as a computer account in the AD and used to mount volumes
    UserName string
    A domain user account with permission to create machine accounts
    Domain string
    Name of the Active Directory domain
    SecretPassword SecretPassword
    Access password from Azure KeyVault Secrets to connect Active Directory
    Administrators []string
    Users to be added to the Built-in Administrators active directory group. A list of unique usernames without domain specifier
    BackupOperators []string
    Users to be added to the Built-in Backup Operator active directory group. A list of unique usernames without domain specifier
    Dns []string
    An array of DNS server IP addresses(IPv4 only) for the Active Directory
    OrganizationalUnit string
    The Organizational Unit (OU) within the Windows Active Directory
    SecurityOperators []string
    Domain Users in the Active directory to be given SecurityPrivilege privilege (Needed for SMB Continuously available shares for SQL). A list of unique usernames without domain specifier
    Site string
    The Active Directory site the service will limit Domain Controller discovery to
    SmbServerName string
    NetBIOS name of the SMB server. This name will be registered as a computer account in the AD and used to mount volumes
    UserName string
    A domain user account with permission to create machine accounts
    domain String
    Name of the Active Directory domain
    secretPassword SecretPassword
    Access password from Azure KeyVault Secrets to connect Active Directory
    administrators List<String>
    Users to be added to the Built-in Administrators active directory group. A list of unique usernames without domain specifier
    backupOperators List<String>
    Users to be added to the Built-in Backup Operator active directory group. A list of unique usernames without domain specifier
    dns List<String>
    An array of DNS server IP addresses(IPv4 only) for the Active Directory
    organizationalUnit String
    The Organizational Unit (OU) within the Windows Active Directory
    securityOperators List<String>
    Domain Users in the Active directory to be given SecurityPrivilege privilege (Needed for SMB Continuously available shares for SQL). A list of unique usernames without domain specifier
    site String
    The Active Directory site the service will limit Domain Controller discovery to
    smbServerName String
    NetBIOS name of the SMB server. This name will be registered as a computer account in the AD and used to mount volumes
    userName String
    A domain user account with permission to create machine accounts
    domain string
    Name of the Active Directory domain
    secretPassword SecretPassword
    Access password from Azure KeyVault Secrets to connect Active Directory
    administrators string[]
    Users to be added to the Built-in Administrators active directory group. A list of unique usernames without domain specifier
    backupOperators string[]
    Users to be added to the Built-in Backup Operator active directory group. A list of unique usernames without domain specifier
    dns string[]
    An array of DNS server IP addresses(IPv4 only) for the Active Directory
    organizationalUnit string
    The Organizational Unit (OU) within the Windows Active Directory
    securityOperators string[]
    Domain Users in the Active directory to be given SecurityPrivilege privilege (Needed for SMB Continuously available shares for SQL). A list of unique usernames without domain specifier
    site string
    The Active Directory site the service will limit Domain Controller discovery to
    smbServerName string
    NetBIOS name of the SMB server. This name will be registered as a computer account in the AD and used to mount volumes
    userName string
    A domain user account with permission to create machine accounts
    domain str
    Name of the Active Directory domain
    secret_password SecretPassword
    Access password from Azure KeyVault Secrets to connect Active Directory
    administrators Sequence[str]
    Users to be added to the Built-in Administrators active directory group. A list of unique usernames without domain specifier
    backup_operators Sequence[str]
    Users to be added to the Built-in Backup Operator active directory group. A list of unique usernames without domain specifier
    dns Sequence[str]
    An array of DNS server IP addresses(IPv4 only) for the Active Directory
    organizational_unit str
    The Organizational Unit (OU) within the Windows Active Directory
    security_operators Sequence[str]
    Domain Users in the Active directory to be given SecurityPrivilege privilege (Needed for SMB Continuously available shares for SQL). A list of unique usernames without domain specifier
    site str
    The Active Directory site the service will limit Domain Controller discovery to
    smb_server_name str
    NetBIOS name of the SMB server. This name will be registered as a computer account in the AD and used to mount volumes
    user_name str
    A domain user account with permission to create machine accounts
    domain String
    Name of the Active Directory domain
    secretPassword Property Map
    Access password from Azure KeyVault Secrets to connect Active Directory
    administrators List<String>
    Users to be added to the Built-in Administrators active directory group. A list of unique usernames without domain specifier
    backupOperators List<String>
    Users to be added to the Built-in Backup Operator active directory group. A list of unique usernames without domain specifier
    dns List<String>
    An array of DNS server IP addresses(IPv4 only) for the Active Directory
    organizationalUnit String
    The Organizational Unit (OU) within the Windows Active Directory
    securityOperators List<String>
    Domain Users in the Active directory to be given SecurityPrivilege privilege (Needed for SMB Continuously available shares for SQL). A list of unique usernames without domain specifier
    site String
    The Active Directory site the service will limit Domain Controller discovery to
    smbServerName String
    NetBIOS name of the SMB server. This name will be registered as a computer account in the AD and used to mount volumes
    userName String
    A domain user account with permission to create machine accounts

    ActiveDirectoryConfigPropertiesResponse, ActiveDirectoryConfigPropertiesResponseArgs

    Active Directory Configuration properties
    ActiveDirectoryStatus string
    Status of the Active Directory
    Domain string
    Name of the Active Directory domain
    ProvisioningState string
    Azure lifecycle management.
    SecretPassword Pulumi.AzureNative.NetApp.Inputs.SecretPasswordResponse
    Access password from Azure KeyVault Secrets to connect Active Directory
    Administrators List<string>
    Users to be added to the Built-in Administrators active directory group. A list of unique usernames without domain specifier
    BackupOperators List<string>
    Users to be added to the Built-in Backup Operator active directory group. A list of unique usernames without domain specifier
    Dns List<string>
    An array of DNS server IP addresses(IPv4 only) for the Active Directory
    OrganizationalUnit string
    The Organizational Unit (OU) within the Windows Active Directory
    SecurityOperators List<string>
    Domain Users in the Active directory to be given SecurityPrivilege privilege (Needed for SMB Continuously available shares for SQL). A list of unique usernames without domain specifier
    Site string
    The Active Directory site the service will limit Domain Controller discovery to
    SmbServerName string
    NetBIOS name of the SMB server. This name will be registered as a computer account in the AD and used to mount volumes
    UserName string
    A domain user account with permission to create machine accounts
    ActiveDirectoryStatus string
    Status of the Active Directory
    Domain string
    Name of the Active Directory domain
    ProvisioningState string
    Azure lifecycle management.
    SecretPassword SecretPasswordResponse
    Access password from Azure KeyVault Secrets to connect Active Directory
    Administrators []string
    Users to be added to the Built-in Administrators active directory group. A list of unique usernames without domain specifier
    BackupOperators []string
    Users to be added to the Built-in Backup Operator active directory group. A list of unique usernames without domain specifier
    Dns []string
    An array of DNS server IP addresses(IPv4 only) for the Active Directory
    OrganizationalUnit string
    The Organizational Unit (OU) within the Windows Active Directory
    SecurityOperators []string
    Domain Users in the Active directory to be given SecurityPrivilege privilege (Needed for SMB Continuously available shares for SQL). A list of unique usernames without domain specifier
    Site string
    The Active Directory site the service will limit Domain Controller discovery to
    SmbServerName string
    NetBIOS name of the SMB server. This name will be registered as a computer account in the AD and used to mount volumes
    UserName string
    A domain user account with permission to create machine accounts
    activeDirectoryStatus String
    Status of the Active Directory
    domain String
    Name of the Active Directory domain
    provisioningState String
    Azure lifecycle management.
    secretPassword SecretPasswordResponse
    Access password from Azure KeyVault Secrets to connect Active Directory
    administrators List<String>
    Users to be added to the Built-in Administrators active directory group. A list of unique usernames without domain specifier
    backupOperators List<String>
    Users to be added to the Built-in Backup Operator active directory group. A list of unique usernames without domain specifier
    dns List<String>
    An array of DNS server IP addresses(IPv4 only) for the Active Directory
    organizationalUnit String
    The Organizational Unit (OU) within the Windows Active Directory
    securityOperators List<String>
    Domain Users in the Active directory to be given SecurityPrivilege privilege (Needed for SMB Continuously available shares for SQL). A list of unique usernames without domain specifier
    site String
    The Active Directory site the service will limit Domain Controller discovery to
    smbServerName String
    NetBIOS name of the SMB server. This name will be registered as a computer account in the AD and used to mount volumes
    userName String
    A domain user account with permission to create machine accounts
    activeDirectoryStatus string
    Status of the Active Directory
    domain string
    Name of the Active Directory domain
    provisioningState string
    Azure lifecycle management.
    secretPassword SecretPasswordResponse
    Access password from Azure KeyVault Secrets to connect Active Directory
    administrators string[]
    Users to be added to the Built-in Administrators active directory group. A list of unique usernames without domain specifier
    backupOperators string[]
    Users to be added to the Built-in Backup Operator active directory group. A list of unique usernames without domain specifier
    dns string[]
    An array of DNS server IP addresses(IPv4 only) for the Active Directory
    organizationalUnit string
    The Organizational Unit (OU) within the Windows Active Directory
    securityOperators string[]
    Domain Users in the Active directory to be given SecurityPrivilege privilege (Needed for SMB Continuously available shares for SQL). A list of unique usernames without domain specifier
    site string
    The Active Directory site the service will limit Domain Controller discovery to
    smbServerName string
    NetBIOS name of the SMB server. This name will be registered as a computer account in the AD and used to mount volumes
    userName string
    A domain user account with permission to create machine accounts
    active_directory_status str
    Status of the Active Directory
    domain str
    Name of the Active Directory domain
    provisioning_state str
    Azure lifecycle management.
    secret_password SecretPasswordResponse
    Access password from Azure KeyVault Secrets to connect Active Directory
    administrators Sequence[str]
    Users to be added to the Built-in Administrators active directory group. A list of unique usernames without domain specifier
    backup_operators Sequence[str]
    Users to be added to the Built-in Backup Operator active directory group. A list of unique usernames without domain specifier
    dns Sequence[str]
    An array of DNS server IP addresses(IPv4 only) for the Active Directory
    organizational_unit str
    The Organizational Unit (OU) within the Windows Active Directory
    security_operators Sequence[str]
    Domain Users in the Active directory to be given SecurityPrivilege privilege (Needed for SMB Continuously available shares for SQL). A list of unique usernames without domain specifier
    site str
    The Active Directory site the service will limit Domain Controller discovery to
    smb_server_name str
    NetBIOS name of the SMB server. This name will be registered as a computer account in the AD and used to mount volumes
    user_name str
    A domain user account with permission to create machine accounts
    activeDirectoryStatus String
    Status of the Active Directory
    domain String
    Name of the Active Directory domain
    provisioningState String
    Azure lifecycle management.
    secretPassword Property Map
    Access password from Azure KeyVault Secrets to connect Active Directory
    administrators List<String>
    Users to be added to the Built-in Administrators active directory group. A list of unique usernames without domain specifier
    backupOperators List<String>
    Users to be added to the Built-in Backup Operator active directory group. A list of unique usernames without domain specifier
    dns List<String>
    An array of DNS server IP addresses(IPv4 only) for the Active Directory
    organizationalUnit String
    The Organizational Unit (OU) within the Windows Active Directory
    securityOperators List<String>
    Domain Users in the Active directory to be given SecurityPrivilege privilege (Needed for SMB Continuously available shares for SQL). A list of unique usernames without domain specifier
    site String
    The Active Directory site the service will limit Domain Controller discovery to
    smbServerName String
    NetBIOS name of the SMB server. This name will be registered as a computer account in the AD and used to mount volumes
    userName String
    A domain user account with permission to create machine accounts

    ManagedServiceIdentity, ManagedServiceIdentityArgs

    Managed service identity (system assigned and/or user assigned identities)
    Type string | Pulumi.AzureNative.NetApp.ManagedServiceIdentityType
    Type of managed service identity (where both SystemAssigned and UserAssigned types are allowed).
    UserAssignedIdentities List<string>
    The set of user assigned identities associated with the resource. The userAssignedIdentities dictionary keys will be ARM resource ids in the form: '/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.ManagedIdentity/userAssignedIdentities/{identityName}. The dictionary values can be empty objects ({}) in requests.
    Type string | ManagedServiceIdentityType
    Type of managed service identity (where both SystemAssigned and UserAssigned types are allowed).
    UserAssignedIdentities []string
    The set of user assigned identities associated with the resource. The userAssignedIdentities dictionary keys will be ARM resource ids in the form: '/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.ManagedIdentity/userAssignedIdentities/{identityName}. The dictionary values can be empty objects ({}) in requests.
    type String | ManagedServiceIdentityType
    Type of managed service identity (where both SystemAssigned and UserAssigned types are allowed).
    userAssignedIdentities List<String>
    The set of user assigned identities associated with the resource. The userAssignedIdentities dictionary keys will be ARM resource ids in the form: '/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.ManagedIdentity/userAssignedIdentities/{identityName}. The dictionary values can be empty objects ({}) in requests.
    type string | ManagedServiceIdentityType
    Type of managed service identity (where both SystemAssigned and UserAssigned types are allowed).
    userAssignedIdentities string[]
    The set of user assigned identities associated with the resource. The userAssignedIdentities dictionary keys will be ARM resource ids in the form: '/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.ManagedIdentity/userAssignedIdentities/{identityName}. The dictionary values can be empty objects ({}) in requests.
    type str | ManagedServiceIdentityType
    Type of managed service identity (where both SystemAssigned and UserAssigned types are allowed).
    user_assigned_identities Sequence[str]
    The set of user assigned identities associated with the resource. The userAssignedIdentities dictionary keys will be ARM resource ids in the form: '/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.ManagedIdentity/userAssignedIdentities/{identityName}. The dictionary values can be empty objects ({}) in requests.
    type String | "None" | "SystemAssigned" | "UserAssigned" | "SystemAssigned,UserAssigned"
    Type of managed service identity (where both SystemAssigned and UserAssigned types are allowed).
    userAssignedIdentities List<String>
    The set of user assigned identities associated with the resource. The userAssignedIdentities dictionary keys will be ARM resource ids in the form: '/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.ManagedIdentity/userAssignedIdentities/{identityName}. The dictionary values can be empty objects ({}) in requests.

    ManagedServiceIdentityResponse, ManagedServiceIdentityResponseArgs

    Managed service identity (system assigned and/or user assigned identities)
    PrincipalId string
    The service principal ID of the system assigned identity. This property will only be provided for a system assigned identity.
    TenantId string
    The tenant ID of the system assigned identity. This property will only be provided for a system assigned identity.
    Type string
    Type of managed service identity (where both SystemAssigned and UserAssigned types are allowed).
    UserAssignedIdentities Dictionary<string, Pulumi.AzureNative.NetApp.Inputs.UserAssignedIdentityResponse>
    The set of user assigned identities associated with the resource. The userAssignedIdentities dictionary keys will be ARM resource ids in the form: '/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.ManagedIdentity/userAssignedIdentities/{identityName}. The dictionary values can be empty objects ({}) in requests.
    PrincipalId string
    The service principal ID of the system assigned identity. This property will only be provided for a system assigned identity.
    TenantId string
    The tenant ID of the system assigned identity. This property will only be provided for a system assigned identity.
    Type string
    Type of managed service identity (where both SystemAssigned and UserAssigned types are allowed).
    UserAssignedIdentities map[string]UserAssignedIdentityResponse
    The set of user assigned identities associated with the resource. The userAssignedIdentities dictionary keys will be ARM resource ids in the form: '/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.ManagedIdentity/userAssignedIdentities/{identityName}. The dictionary values can be empty objects ({}) in requests.
    principalId String
    The service principal ID of the system assigned identity. This property will only be provided for a system assigned identity.
    tenantId String
    The tenant ID of the system assigned identity. This property will only be provided for a system assigned identity.
    type String
    Type of managed service identity (where both SystemAssigned and UserAssigned types are allowed).
    userAssignedIdentities Map<String,UserAssignedIdentityResponse>
    The set of user assigned identities associated with the resource. The userAssignedIdentities dictionary keys will be ARM resource ids in the form: '/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.ManagedIdentity/userAssignedIdentities/{identityName}. The dictionary values can be empty objects ({}) in requests.
    principalId string
    The service principal ID of the system assigned identity. This property will only be provided for a system assigned identity.
    tenantId string
    The tenant ID of the system assigned identity. This property will only be provided for a system assigned identity.
    type string
    Type of managed service identity (where both SystemAssigned and UserAssigned types are allowed).
    userAssignedIdentities {[key: string]: UserAssignedIdentityResponse}
    The set of user assigned identities associated with the resource. The userAssignedIdentities dictionary keys will be ARM resource ids in the form: '/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.ManagedIdentity/userAssignedIdentities/{identityName}. The dictionary values can be empty objects ({}) in requests.
    principal_id str
    The service principal ID of the system assigned identity. This property will only be provided for a system assigned identity.
    tenant_id str
    The tenant ID of the system assigned identity. This property will only be provided for a system assigned identity.
    type str
    Type of managed service identity (where both SystemAssigned and UserAssigned types are allowed).
    user_assigned_identities Mapping[str, UserAssignedIdentityResponse]
    The set of user assigned identities associated with the resource. The userAssignedIdentities dictionary keys will be ARM resource ids in the form: '/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.ManagedIdentity/userAssignedIdentities/{identityName}. The dictionary values can be empty objects ({}) in requests.
    principalId String
    The service principal ID of the system assigned identity. This property will only be provided for a system assigned identity.
    tenantId String
    The tenant ID of the system assigned identity. This property will only be provided for a system assigned identity.
    type String
    Type of managed service identity (where both SystemAssigned and UserAssigned types are allowed).
    userAssignedIdentities Map<Property Map>
    The set of user assigned identities associated with the resource. The userAssignedIdentities dictionary keys will be ARM resource ids in the form: '/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.ManagedIdentity/userAssignedIdentities/{identityName}. The dictionary values can be empty objects ({}) in requests.

    ManagedServiceIdentityType, ManagedServiceIdentityTypeArgs

    None
    None
    SystemAssigned
    SystemAssigned
    UserAssigned
    UserAssigned
    SystemAssigned_UserAssigned
    SystemAssigned,UserAssigned
    ManagedServiceIdentityTypeNone
    None
    ManagedServiceIdentityTypeSystemAssigned
    SystemAssigned
    ManagedServiceIdentityTypeUserAssigned
    UserAssigned
    ManagedServiceIdentityType_SystemAssigned_UserAssigned
    SystemAssigned,UserAssigned
    None
    None
    SystemAssigned
    SystemAssigned
    UserAssigned
    UserAssigned
    SystemAssigned_UserAssigned
    SystemAssigned,UserAssigned
    None
    None
    SystemAssigned
    SystemAssigned
    UserAssigned
    UserAssigned
    SystemAssigned_UserAssigned
    SystemAssigned,UserAssigned
    NONE
    None
    SYSTEM_ASSIGNED
    SystemAssigned
    USER_ASSIGNED
    UserAssigned
    SYSTEM_ASSIGNED_USER_ASSIGNED
    SystemAssigned,UserAssigned
    "None"
    None
    "SystemAssigned"
    SystemAssigned
    "UserAssigned"
    UserAssigned
    "SystemAssigned,UserAssigned"
    SystemAssigned,UserAssigned

    SecretPassword, SecretPasswordArgs

    Access password from Azure KeyVault Secrets to connect Active Directory
    Identity Pulumi.AzureNative.NetApp.Inputs.SecretPasswordIdentity
    Identity used to authenticate to KeyVault. Applicable if keySource is 'Microsoft.KeyVault'.
    KeyVaultProperties Pulumi.AzureNative.NetApp.Inputs.SecretPasswordKeyVaultProperties
    Properties provided by KeyVault.
    Identity SecretPasswordIdentity
    Identity used to authenticate to KeyVault. Applicable if keySource is 'Microsoft.KeyVault'.
    KeyVaultProperties SecretPasswordKeyVaultProperties
    Properties provided by KeyVault.
    identity SecretPasswordIdentity
    Identity used to authenticate to KeyVault. Applicable if keySource is 'Microsoft.KeyVault'.
    keyVaultProperties SecretPasswordKeyVaultProperties
    Properties provided by KeyVault.
    identity SecretPasswordIdentity
    Identity used to authenticate to KeyVault. Applicable if keySource is 'Microsoft.KeyVault'.
    keyVaultProperties SecretPasswordKeyVaultProperties
    Properties provided by KeyVault.
    identity SecretPasswordIdentity
    Identity used to authenticate to KeyVault. Applicable if keySource is 'Microsoft.KeyVault'.
    key_vault_properties SecretPasswordKeyVaultProperties
    Properties provided by KeyVault.
    identity Property Map
    Identity used to authenticate to KeyVault. Applicable if keySource is 'Microsoft.KeyVault'.
    keyVaultProperties Property Map
    Properties provided by KeyVault.

    SecretPasswordIdentity, SecretPasswordIdentityArgs

    Identity used to authenticate with key vault.
    UserAssignedIdentity string
    The Azure resource identifier of the user assigned identity used to authenticate with key vault. Applicable if identity.type has 'UserAssigned'. It should match key of identity.userAssignedIdentities.
    UserAssignedIdentity string
    The Azure resource identifier of the user assigned identity used to authenticate with key vault. Applicable if identity.type has 'UserAssigned'. It should match key of identity.userAssignedIdentities.
    userAssignedIdentity String
    The Azure resource identifier of the user assigned identity used to authenticate with key vault. Applicable if identity.type has 'UserAssigned'. It should match key of identity.userAssignedIdentities.
    userAssignedIdentity string
    The Azure resource identifier of the user assigned identity used to authenticate with key vault. Applicable if identity.type has 'UserAssigned'. It should match key of identity.userAssignedIdentities.
    user_assigned_identity str
    The Azure resource identifier of the user assigned identity used to authenticate with key vault. Applicable if identity.type has 'UserAssigned'. It should match key of identity.userAssignedIdentities.
    userAssignedIdentity String
    The Azure resource identifier of the user assigned identity used to authenticate with key vault. Applicable if identity.type has 'UserAssigned'. It should match key of identity.userAssignedIdentities.

    SecretPasswordIdentityResponse, SecretPasswordIdentityResponseArgs

    Identity used to authenticate with key vault.
    PrincipalId string
    The principal ID (object ID) of the identity used to authenticate with key vault. Read-only.
    UserAssignedIdentity string
    The Azure resource identifier of the user assigned identity used to authenticate with key vault. Applicable if identity.type has 'UserAssigned'. It should match key of identity.userAssignedIdentities.
    PrincipalId string
    The principal ID (object ID) of the identity used to authenticate with key vault. Read-only.
    UserAssignedIdentity string
    The Azure resource identifier of the user assigned identity used to authenticate with key vault. Applicable if identity.type has 'UserAssigned'. It should match key of identity.userAssignedIdentities.
    principalId String
    The principal ID (object ID) of the identity used to authenticate with key vault. Read-only.
    userAssignedIdentity String
    The Azure resource identifier of the user assigned identity used to authenticate with key vault. Applicable if identity.type has 'UserAssigned'. It should match key of identity.userAssignedIdentities.
    principalId string
    The principal ID (object ID) of the identity used to authenticate with key vault. Read-only.
    userAssignedIdentity string
    The Azure resource identifier of the user assigned identity used to authenticate with key vault. Applicable if identity.type has 'UserAssigned'. It should match key of identity.userAssignedIdentities.
    principal_id str
    The principal ID (object ID) of the identity used to authenticate with key vault. Read-only.
    user_assigned_identity str
    The Azure resource identifier of the user assigned identity used to authenticate with key vault. Applicable if identity.type has 'UserAssigned'. It should match key of identity.userAssignedIdentities.
    principalId String
    The principal ID (object ID) of the identity used to authenticate with key vault. Read-only.
    userAssignedIdentity String
    The Azure resource identifier of the user assigned identity used to authenticate with key vault. Applicable if identity.type has 'UserAssigned'. It should match key of identity.userAssignedIdentities.

    SecretPasswordKeyVaultProperties, SecretPasswordKeyVaultPropertiesArgs

    Properties of key vault to get the secrets for password.
    KeyVaultUri string
    The Uri of KeyVault.
    SecretName string
    The name of KeyVault password secret.
    KeyVaultUri string
    The Uri of KeyVault.
    SecretName string
    The name of KeyVault password secret.
    keyVaultUri String
    The Uri of KeyVault.
    secretName String
    The name of KeyVault password secret.
    keyVaultUri string
    The Uri of KeyVault.
    secretName string
    The name of KeyVault password secret.
    key_vault_uri str
    The Uri of KeyVault.
    secret_name str
    The name of KeyVault password secret.
    keyVaultUri String
    The Uri of KeyVault.
    secretName String
    The name of KeyVault password secret.

    SecretPasswordKeyVaultPropertiesResponse, SecretPasswordKeyVaultPropertiesResponseArgs

    Properties of key vault to get the secrets for password.
    KeyVaultUri string
    The Uri of KeyVault.
    SecretName string
    The name of KeyVault password secret.
    KeyVaultUri string
    The Uri of KeyVault.
    SecretName string
    The name of KeyVault password secret.
    keyVaultUri String
    The Uri of KeyVault.
    secretName String
    The name of KeyVault password secret.
    keyVaultUri string
    The Uri of KeyVault.
    secretName string
    The name of KeyVault password secret.
    key_vault_uri str
    The Uri of KeyVault.
    secret_name str
    The name of KeyVault password secret.
    keyVaultUri String
    The Uri of KeyVault.
    secretName String
    The name of KeyVault password secret.

    SecretPasswordResponse, SecretPasswordResponseArgs

    Access password from Azure KeyVault Secrets to connect Active Directory
    Identity Pulumi.AzureNative.NetApp.Inputs.SecretPasswordIdentityResponse
    Identity used to authenticate to KeyVault. Applicable if keySource is 'Microsoft.KeyVault'.
    KeyVaultProperties Pulumi.AzureNative.NetApp.Inputs.SecretPasswordKeyVaultPropertiesResponse
    Properties provided by KeyVault.
    Identity SecretPasswordIdentityResponse
    Identity used to authenticate to KeyVault. Applicable if keySource is 'Microsoft.KeyVault'.
    KeyVaultProperties SecretPasswordKeyVaultPropertiesResponse
    Properties provided by KeyVault.
    identity SecretPasswordIdentityResponse
    Identity used to authenticate to KeyVault. Applicable if keySource is 'Microsoft.KeyVault'.
    keyVaultProperties SecretPasswordKeyVaultPropertiesResponse
    Properties provided by KeyVault.
    identity SecretPasswordIdentityResponse
    Identity used to authenticate to KeyVault. Applicable if keySource is 'Microsoft.KeyVault'.
    keyVaultProperties SecretPasswordKeyVaultPropertiesResponse
    Properties provided by KeyVault.
    identity SecretPasswordIdentityResponse
    Identity used to authenticate to KeyVault. Applicable if keySource is 'Microsoft.KeyVault'.
    key_vault_properties SecretPasswordKeyVaultPropertiesResponse
    Properties provided by KeyVault.
    identity Property Map
    Identity used to authenticate to KeyVault. Applicable if keySource is 'Microsoft.KeyVault'.
    keyVaultProperties Property Map
    Properties provided by KeyVault.

    SystemDataResponse, SystemDataResponseArgs

    Metadata pertaining to creation and last modification of the resource.
    CreatedAt string
    The timestamp of resource creation (UTC).
    CreatedBy string
    The identity that created the resource.
    CreatedByType string
    The type of identity that created the resource.
    LastModifiedAt string
    The timestamp of resource last modification (UTC)
    LastModifiedBy string
    The identity that last modified the resource.
    LastModifiedByType string
    The type of identity that last modified the resource.
    CreatedAt string
    The timestamp of resource creation (UTC).
    CreatedBy string
    The identity that created the resource.
    CreatedByType string
    The type of identity that created the resource.
    LastModifiedAt string
    The timestamp of resource last modification (UTC)
    LastModifiedBy string
    The identity that last modified the resource.
    LastModifiedByType string
    The type of identity that last modified the resource.
    createdAt String
    The timestamp of resource creation (UTC).
    createdBy String
    The identity that created the resource.
    createdByType String
    The type of identity that created the resource.
    lastModifiedAt String
    The timestamp of resource last modification (UTC)
    lastModifiedBy String
    The identity that last modified the resource.
    lastModifiedByType String
    The type of identity that last modified the resource.
    createdAt string
    The timestamp of resource creation (UTC).
    createdBy string
    The identity that created the resource.
    createdByType string
    The type of identity that created the resource.
    lastModifiedAt string
    The timestamp of resource last modification (UTC)
    lastModifiedBy string
    The identity that last modified the resource.
    lastModifiedByType string
    The type of identity that last modified the resource.
    created_at str
    The timestamp of resource creation (UTC).
    created_by str
    The identity that created the resource.
    created_by_type str
    The type of identity that created the resource.
    last_modified_at str
    The timestamp of resource last modification (UTC)
    last_modified_by str
    The identity that last modified the resource.
    last_modified_by_type str
    The type of identity that last modified the resource.
    createdAt String
    The timestamp of resource creation (UTC).
    createdBy String
    The identity that created the resource.
    createdByType String
    The type of identity that created the resource.
    lastModifiedAt String
    The timestamp of resource last modification (UTC)
    lastModifiedBy String
    The identity that last modified the resource.
    lastModifiedByType String
    The type of identity that last modified the resource.

    UserAssignedIdentityResponse, UserAssignedIdentityResponseArgs

    User assigned identity properties
    ClientId string
    The client ID of the assigned identity.
    PrincipalId string
    The principal ID of the assigned identity.
    ClientId string
    The client ID of the assigned identity.
    PrincipalId string
    The principal ID of the assigned identity.
    clientId String
    The client ID of the assigned identity.
    principalId String
    The principal ID of the assigned identity.
    clientId string
    The client ID of the assigned identity.
    principalId string
    The principal ID of the assigned identity.
    client_id str
    The client ID of the assigned identity.
    principal_id str
    The principal ID of the assigned identity.
    clientId String
    The client ID of the assigned identity.
    principalId String
    The principal ID of the assigned identity.

    Package Details

    Repository
    Azure Native pulumi/pulumi-azure-native
    License
    Apache-2.0
    azure-native logo
    This is the latest version of Azure Native. Use the Azure Native v2 docs if using the v2 version of this package.
    Viewing docs for Azure Native v3.15.0
    published on Wednesday, Mar 4, 2026 by Pulumi
      Try Pulumi Cloud free. Your team will thank you.